<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>mallink</artifactId>
        <groupId>com.iformall</groupId>
        <version>1.0</version>
    </parent>

    <artifactId>mallinkCallback</artifactId>

    <properties>
        <weixin-java-mp.version>3.6.0</weixin-java-mp.version>
        <weixin-java-open.version>3.6.0</weixin-java-open.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.iformall</groupId>
            <artifactId>mallinkService</artifactId>
            <version>1.0</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <executable>true</executable>
                    <layout>ZIP</layout>
                    <excludeGroupIds>
                        antlr,
                        cn.afterturn,
                        ch.qos.logback,
                        com.alibaba,
                        com.amazonaws,
                        com.baomidou,
                        com.mchange,
                        com.fasterxml.jackson.core,
                        com.fasterxml.jackson.dataformat,
                        com.fasterxml.jackson.datatype,
                        com.fasterxml.jackson.module,
                        com.fasterxml.uuid,
                        com.fasterxml,
                        com.github.axet,
                        com.github.binarywang,
                        com.github.jsqlparser,
                        com.github.pagehelper,
                        com.github.ulisesbocchio,
                        com.github.virtuald,
                        com.google.code.findbugs,
                        com.google.code.gson,
                        com.google.errorprone,
                        com.google.guava,
                        com.google.protobuf,
                        com.google.zxing,
                        com.jayway.jsonpath,
                        com.jhlabs,
                        com.puppycrawl.tools,
                        com.rabbitmq,
                        com.squareup.okhttp3,
                        com.squareup.okio,
                        com.sun,
                        com.sun.mail,
                        com.thoughtworks.xstream,
                        com.zaxxer,
                        commons-beanutils,
                        commons-cli,
                        commons-codec,
                        commons-collections,
                        commons-fileupload,
                        commons-io,
                        commons-logging,
                        io.lettuce,
                        io.netty,
                        io.projectreactor,
                        io.springfox,
                        io.swagger,
                        io.undertow,
                        javax.activation,
                        javax.annotation,
                        javax.mail,
                        javax.persistence,
                        javax.servlet,
                        javax.validation,
                        javax.xml.bind,
                        javax.xml.soap,
                        javax.xml.ws,
                        joda-time,
                        junit,
                        mysql,
                        net.bytebuddy,
                        net.minidev,
                        net.sf.dozer,
                        net.sf.saxon,
                        ognl,
                        org.antlr,
                        org.apache.commons,
                        org.apache.httpcomponents,
                        org.apache.logging.log4j,
                        org.apache.poi,
                        org.apache.poi.wso2,
                        org.apache.rocketmq,
                        org.apache.shiro,
                        org.apache.tomcat.embed,
                        org.apache.xmlbeans,
                        org.aspectj,
                        org.assertj,
                        org.bouncycastle,
                        org.checkerframework,
                        org.codehaus.mojo,
                        org.crazycake,
                        org.dom4j,
                        org.flowable,
                        org.flywaydb,
                        org.glassfish,
                        org.hibernate.validator,
                        org.jasypt,
                        org.javassist,
                        org.jboss.logging,
                        org.jboss.spec.javax.annotation,
                        org.jboss.spec.javax.websocket,
                        org.jboss.xnio,
                        org.jdom,
                        org.jodd,
                        org.jvnet.mimepull,
                        org.jvnet.staxex,
                        org.mapstruct,
                        org.mockito,
                        org.mybatis,
                        org.mybatis.generator,
                        org.mybatis.spring.boot,
                        org.ow2.asm,
                        org.projectlombok,
                        org.quartz-scheduler,
                        org.reactivestreams,
                        org.reflections,
                        org.rocketmq.spring.boot,
                        org.slf4j,
                        org.springframework,
                        org.springframework.amqp,
                        org.springframework.boot,
                        org.springframework.data,
                        org.springframework.retry,
                        org.springframework.ws,
                        org.yaml,
                        redis.clients,
                        software.amazon.ion,
                        tk.mybatis,
                        xmlpull,
                        xpp3
                    </excludeGroupIds>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>